commit:     c85a995512f90eb2ee6b0e4ef13914e881338c70
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Fri Sep 17 17:48:43 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Sep 18 20:49:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c85a9955

net-misc/gns3-server: version bump (2.2.25)

Package-Manager: Portage-3.0.23, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/gns3-server/Manifest                  |  1 +
 net-misc/gns3-server/gns3-server-2.2.25.ebuild | 71 ++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/net-misc/gns3-server/Manifest b/net-misc/gns3-server/Manifest
index 8cf3c2fd347..79dde6bc91a 100644
--- a/net-misc/gns3-server/Manifest
+++ b/net-misc/gns3-server/Manifest
@@ -1,2 +1,3 @@
 DIST gns3-server-2.2.22.tar.gz 9011028 BLAKE2B 
910711cac6f649d8dd3f7a4d2a9aa77839c9dda9f4280e7079b86857c542907feaa1205b7060ce7cc8956a2fbd220d5393cda319f64ff17eeb5ce476922afccc
 SHA512 
444f483e69a56ab82c053c042b8791711e2fc6b7c800d30c08f2221405418a5c78d780f0f959c80d56ce864230ae17b04639c74a6559c7f5abce65f9c808a282
 DIST gns3-server-2.2.24.tar.gz 9057352 BLAKE2B 
cc49127afa9b3422f25ec2d10e53b7cedc59a4b872394d7b7c47ac34e6859fd5f22547277f351ba75b6520a0881b2ebbda6ba932af31108f070c2ccd92574020
 SHA512 
22a4394f645b5909e75b07d63164ad4fa362f78d69c6f30e8e2daf15bc910c238e8cd983a9f1cb3c1045a0722f9a1c260002b4afe8fb5915033b3ddb20814a17
+DIST gns3-server-2.2.25.tar.gz 10229566 BLAKE2B 
73827940698335dcf9ef6d4b6c4c88b162852ec493f8ea05eebbdca20df3c84e4f5ee2ac218ed72755350df2f0e27cfc6cbd34b541e9e5bc0eada2fcb8e266ac
 SHA512 
c7fa163eedc064fd266100658d7d2084ab0c542280d6689938a06943534df320f905c0e46175580bd3792218369936c55f9e135a12577f8a4b7eb86ac8fe9739

diff --git a/net-misc/gns3-server/gns3-server-2.2.25.ebuild 
b/net-misc/gns3-server/gns3-server-2.2.25.ebuild
new file mode 100644
index 00000000000..9d91356deda
--- /dev/null
+++ b/net-misc/gns3-server/gns3-server-2.2.25.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 optfeature systemd
+
+DESCRIPTION="GNS3 server to asynchronously manage emulators"
+HOMEPAGE="https://www.gns3.com/ https://github.com/GNS3/gns3-server";
+SRC_URI="https://github.com/GNS3/gns3-server/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       app-emulation/dynamips
+       >=dev-python/aiofiles-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
+       >=dev-python/aiohttp-cors-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/async_timeout-3.0.1[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0.1[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/psutil-5.7.0[${PYTHON_USEDEP}]
+       >=dev-python/py-cpuinfo-8.0.0[${PYTHON_USEDEP}]
+       >=dev-python/sentry-sdk-1.3.1[${PYTHON_USEDEP}]
+       net-misc/ubridge
+       sys-apps/busybox
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       default
+
+       # newer python packages are fine
+       sed -i -e 's/[<>=].*//' requirements.txt || die
+
+       # Remove Pre-built busybox binary
+       rm gns3server/compute/docker/resources/bin/busybox || die
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       systemd_dounit init/gns3.service.systemd
+
+       mkdir -p 
"${D}$(python_get_sitedir)/gns3server/compute/docker/resources/bin" || die
+       ln -s /bin/busybox 
"${D}$(python_get_sitedir)/gns3server/compute/docker/resources/bin/busybox" || 
die
+}
+
+pkg_postinst() {
+       elog "net-misc/gns3-server has several optional packages that must be 
merged manually for additional functionality."
+       elog ""
+       optfeature "QEMU Support" "app-emulation/qemu"
+       optfeature "Virtualbox Support" "app-emulation/virtualbox"
+       optfeature "Docker Support" "app-emulation/docker"
+       optfeature "Wireshark Support" "net-analyzer/wireshark"
+       elog ""
+       elog "The following packages are currently unsupported:"
+       elog "iouyap and vpcs"
+}

Reply via email to